%global base_name woodstox
%global core_name %{base_name}-core

Name:           %{core_name}
Version:        5.0.1
Release:        %mkrel 2
Group:          Development/Java
Summary:        High-performance XML processor
License:        ASL 2.0 or LGPLv2+ or BSD
URL:            https://github.com/FasterXML/woodstox
BuildArch:      noarch

Source0:        https://github.com/FasterXML/%{base_name}/archive/%{name}-%{version}.tar.gz
Patch0:         0001-stax2-api.patch

BuildRequires:  maven-local
BuildRequires:  mvn(com.fasterxml:oss-parent:pom:)
BuildRequires:  mvn(javax.xml.stream:stax-api)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(net.java.dev.msv:msv-core)
BuildRequires:  mvn(net.java.dev.msv:msv-rngconverter)
BuildRequires:  mvn(net.java.dev.msv:xsdlib)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.felix:org.osgi.core)
BuildRequires:  mvn(org.codehaus.woodstox:stax2-api)

%description
Woodstox is a high-performance validating namespace-aware StAX-compliant
(JSR-173) Open Source XML-processor written in Java.
XML processor means that it handles both input (== parsing)
and output (== writing, serialization)), as well as supporting tasks
such as validation.

%package javadoc
Summary:          API documentation for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{base_name}-%{name}-%{version}

%patch0 -p1

%pom_xpath_inject 'pom:plugin[pom:artifactId="maven-bundle-plugin"]/pom:configuration' '
<instructions>
    <Export-Package>{local-packages}</Export-Package>
</instructions>'

%mvn_alias ":{woodstox-core}" :@1-lgpl :@1-asl :wstx-asl :wstx-lgpl \
    org.codehaus.woodstox:@1 org.codehaus.woodstox:@1-asl \
    org.codehaus.woodstox:@1-lgpl org.codehaus.woodstox:wstx-lgpl \
    org.codehaus.woodstox:wstx-asl
%mvn_file : %{name}{,-asl,-lgpl}

# Fails even when using online maven build
rm ./src/test/java/org/codehaus/stax/test/stream/TestNamespaces.java

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md

%files javadoc -f .mfiles-javadoc



%changelog
* Wed Feb 24 2016 neoclust <neoclust> 5.0.1-2.mga6
+ Revision: 978218
- First rebuild of the java stack
- sync package woodstox-core with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.2.0-8.mga5
+ Revision: 744416
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat May 24 2014 dmorgan <dmorgan> 4.2.0-6.mga5
+ Revision: 625341
- New version

* Mon Dec 16 2013 dmorgan <dmorgan> 4.2.0-5.mga4
+ Revision: 557198
- Fix buildrequires
- Fix buildrequires

* Mon Oct 21 2013 umeabot <umeabot> 4.2.0-4.mga4
+ Revision: 541226
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 dmorgan <dmorgan> 4.2.0-3.mga4
+ Revision: 495356
- New version

* Thu Jan 17 2013 dmorgan <dmorgan> 4.1.2-8.mga3
+ Revision: 389051
- Remove glassfish-stax-api support

* Thu Jan 17 2013 dmorgan <dmorgan> 4.1.2-7.mga3
+ Revision: 389027
- Remove glassfish-stax-api support

* Thu Jan 17 2013 dmorgan <dmorgan> 4.1.2-6.mga3
+ Revision: 389025
- Remove glassfish-stax-api support

* Mon Jan 14 2013 umeabot <umeabot> 4.1.2-5.mga3
+ Revision: 385823
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 23 2012 dmorgan <dmorgan> 4.1.2-4.mga3
+ Revision: 262716
- Build with maven

  + gil <gil>
    - build fix
      rebuilt with ant support
      added OSGi support

* Sun Dec 25 2011 dmorgan <dmorgan> 4.1.2-3.mga2
+ Revision: 187637
- imported package woodstox-core


* Tue Sep 13 2011 Jaromir Capik <jcapik@redhat.com> - 4.1.2-1
- Initial version
